{% extends "app/layout.html" %}

{% block content %}

{% load staticfiles %}

<script type="text/javascript">
    $("#flexibility-marketplace-dropdown").addClass("active");

    console.log("Test test");
</script>

<div class="container">



     <div class = row>

         {% if service == "reactive_power_compensation" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
                <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'reactive_power_compensation_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'reactive_power_compensation_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

        {% if service == "congestion_management" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
                <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'congestion_management_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'congestion_management_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

        {% if service == "spinning_reserve" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
                 <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'spinning_reserve_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'spinning_reserve_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

        {% if service == "scheduling" %}
         <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist">
                 <h3 class="row"> Time frame </h3>
                <li id="day_ahead_tab" role="presentation" class="vertical_tab"><a href="{% url 'scheduling_service_day_ahead' %}">Day Ahead</a></li>
                <li id="intra_day_tab" role="presentation" class="vertical_tab"><a href="{% url 'scheduling_service_intra_day' %}">Intra Day</a></li>
         </ul>
        {%    endif %}

    </div>

    <div role="tabpanel" class="catalyst_tabpane">
        <ul class="col-sm-3 col-lg-2 nav nav-tabs tabs-left lefttab" role="tablist" id="leftmenu">
            <h3 class="row"> Flexibility services </h3>
            <li id="reactive_power_compensation_tab" role="presentation" class="vertical_tab"><a href="{% url 'reactive_power_compensation_service_no_timeframe'%}">Reactive power compensation</a></li>
            <li id="congestion_management_tab" role="presentation" class="vertical_tab"><a href="{% url 'congestion_management_service_no_timeframe' %}">Congestion management</a></li>
            <li id="spinning_reserve_tab" role="presentation" class="vertical_tab"><a href="{% url 'spinning_reserve_service_no_timeframe'%}">Spinning reserve capacity</a></li>
            <li id="scheduling_tab" role="presentation" class="vertical_tab"><a href="{% url 'scheduling_service_no_timeframe'%}">Scheduling</a></li>
        </ul>
        <div class="tab-content col-sm-9 col-lg-10 push-right">
            <div role="tabpanel" class="tab-pane active" id="service-message">
                <div class="tile centre">
                    <div id="active_sessions">  </div>
                    <div class="col-md-12 dropcol">
                        <div class="row"></div>
                        {% if service == null%}
                        <h3>Please select a type of flexibility service</h3>
                        {% endif %}
                    </div>
                </div>
            </div>
            </div>
        <div class="tab-content col-sm-9 col-lg-10 push-right ">
            <div role="tabpanel" class="tab-pane" id="service" style="text-align:center;">
                <div class="col-md-12 dropcol">
                    <div class="row">
                        {% block service %}{% endblock %}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
